# This is not a relocatible package

%define _prefix /opt/snavigator

Summary: snavigator
Name: sourcenav
%define srcvers 010412
%define version 010412

Version: %{version}
Release: l2l_1
Group: Development
Vendor: http://packman.links2linux.de
Packager: Ralf Corsepius <ralf@links2linux.de>
Distribution: SuSE 7.1
URL: http://sources.redhat.com/sourcenav/
Copyright: GPL

Source: sourcenav-%{srcvers}.tar.gz
NoSource: 0
Patch0: snav-5.0-itcl.diff
Patch1: snav-5.0-demo.diff
Patch2: snav-5.0-configure.in.diff
Patch3: snav-5.0-sdk.diff
Patch4: sourcenav-010412-navigato.diff
Patch5: snav-5.0-sn_prop.cfg.in.diff

BuildRoot:/var/tmp/%{name}-%{version}-root
BuildPreReq: autoconf automake perl gcc gpp xdevel libgpp
# Requires: perl
#Obsoletes: 

%description
RedHat SourceNavigator (tm).

%prep 
%setup -q
%patch -p 1 -P 0
%patch -p 1 -P 1
%patch -p 1 -P 2
%patch -p 1 -P 3
%patch -p 1 -P 4
%patch -p 1 -P 5
cd snavigator
# Subshell due to automake generating a warning
( automake )
autoconf
autoheader
cd ..

%build
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
--prefix=%{_prefix} \
--disable-libstdcxx-v3 \
--with-gxx-include-dir=/usr/include/g++
make all-snavigator

%install
# cd build
make install-snavigator \
prefix=${RPM_BUILD_ROOT}%{_prefix} \
sdkdir=${RPM_BUILD_ROOT}%{_prefix}/share/sdk/lib
# gzip $RPM_BUILD_ROOT%{_prefix}/man/man?/*.?
%clean

%files
# %doc
%defattr(-, root, root)
%{_prefix}
